/* Brightburn */
@font-face {
    font-family: 'BrightBurn';
    src: url('fonts/BrightBurn.eot');
    src: url('fonts/BrightBurn.eot') format('embedded-opentype'),
         url('fonts/BrightBurn.woff2') format('woff2'),
         url('fonts/BrightBurn.woff') format('woff'),
         url('fonts/BrightBurn.ttf') format('truetype'),
         url('fonts/BrightBurn.svg#BrightBurn') format('svg');
}


html, body {
    font-family: 'Nunito', sans-serif;
    font-weight: 100;
    margin: 0;
    padding: 0;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'BrightBurn';
    font-weight: 400;
    color: #5B3428;
}
    h1 {
        font-size: 60px;
    }

    h2 {
        font-size: 48px;
    }

    h3 {
        font-size: 36px;
    }

    h4 {
        font-size: 28px;
    }

/* Nav section */
.navHeader {
    width: 100%;
    height: 100%;
    justify-content: center;

    /* Hero image as a background */
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.485), rgba(128, 0, 128, 0), rgba(128, 0, 128, 0)), url(../images/banners/banner-meet-the-cats.png);
    background-size: cover;
    background-position: bottom;
    background-repeat: no-repeat;
    width: 100%;
    height: 50%;
}

    .navHeaderContainer {
        display: flex;
        justify-content: space-between;
        margin-left: min(10%, 186px);
        margin-right: min(10%, 186px);
        border-bottom: solid 1px #e1e1e1;
        }

    .headerLogoContainer {
        padding: 1rem 0 1rem 0;
        }

    .headerLogo img {
        max-width: 200px;
        min-height: 20px;
        }

    .menuButtons {
        display: flex;        
        }

    li {
        /* spacing of links */
        margin: 4px 0 0 2rem;
        
        /* remove bullet points */
        list-style-type: none;
        }
    
    /* nav links at minimum media width */
    @media only screen and (max-width: 768px) {
            .menuButtons {
                flex-direction: column;
                }

            .menuButtons li {
                margin-right: 0;
                }
            }

    /* Link color and weight */
    .menuButtons li a {
        color: white;
        font-size: 18px;
        font-weight: 800;
        text-shadow: 2px 2px 4px #000000aa;
        
        /* remove underline */
        text-decoration: none;
        }
    
    .menuButtons li a:hover {
        color: #A1B88F;
        font-weight: 800;
        }

    /* Hero label - Headline and subhead */
    .heroLabel {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        width: 100%;
        height: 50%;
        margin-top: 5%;
    }    

    .headline {
        color: white;
        font-size: 60px;
        font-weight: 50;
        line-height: normal;
        text-align: center;
        text-shadow: 2px 2px 8px #333333;
        margin-bottom: 2rem;
        width: 100%;
        height: 50px;
    }

    .subhead {
        color: white;
        font-size: 1.5rem;
        font-weight: 480;
        text-align: center;
        line-height: 1.25;
        text-shadow: 2px 2px 8px #333333;
        margin-top: 0;
        padding: 0;
        inline-size: 800px;
        overflow-wrap: break-word;
    } 

    /* nav links at minimum media width */
    @media only screen and (max-width: 768px) {
        .subhead {
            font-size: 1.125rem;
            inline-size: 360px;
            overflow-wrap: break-word;
        }
    }

/* Cat Gallery section */
.catGallery {
    display: flex;
    justify-content: center;
    align-content: center;
}

.galleryContainer {
    display: flex;
    flex-direction: column;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
    margin: 5rem 0 5rem 0;
}

.row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

/* Cat thumbnails */
.thumbnail img{
    width: 80%;
    margin-bottom: 8px;
    transition: 0.3s;
}

/* Hover on Card thumbnail */
.thumbnail img:hover {
    transform: scale(1.025);
    transition: 0.3s;
    box-shadow: 4px 8px 16px 0 rgba(0,0,0,0.6);
}

button {
    display: flex;
    border: none;
    background-color: transparent;
    padding: 0 2rem 0 2rem;

    img {
        border-radius: 20rem;
    }

    h4 {
        padding: 0;
        margin: 1rem 0 2rem 0;
    }
}
}

/* Dialog overlay */
dialog {
    border-radius: 1.5rem;
    border-color: #44772B;
    width: 70%;

    button {
        align-self: flex-end;
    }

    .catPic img {
        width: 30%;
        justify-self: center;
        border-radius: 1rem;
    }

    .adoptionStatus {
    background-color: #44772b00;
    border-radius: 1.25rem;
    border: 1px;
    border-style: solid;
    border-color: #44772B;
    width: 180px;
    height: 3rem;
    align-self: center;
    transition: all 0.3s ease-out;
    /* margin: 2rem 0 2rem 0; */
    padding: 4px 0 8px 0;
    margin-bottom: 0.75rem;
    }

.adoptionStatus p {
    font-size: 16px;
    font-weight: 600;
    color: #44772B;
    text-decoration: none;
    text-align: center;
    }
}

/* Responsive behavior for Gallery */
@media only screen and (max-width: 768px) {
    .row {
        flex-direction: column;
    }
}

/* Employee of the Month section */
.employee {
    justify-content: center;
    align-content: center;

    /* Background pattern image */
    background-image: url(../images/meet-the-cats/beansBackgroundBrown.svg);
    background-position: cover;
}

.employeeContainer {
    display: flex;
    flex-direction: column;
    margin-bottom: 3rem;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

.employeeTitle {
    display: flex;
    justify-content: center;
    color: #FFB500;
    text-align: center;
    word-wrap: break-word;

}

.employeeCard {
    display: flex;
    flex-direction: row;
    background-color: white;
    border-radius: 1.5rem;
    box-shadow: 4px 8px 16px 0 rgba(0,0,0,0.6);
}

.employeeImg {
    /* background-image: url(../images/meet-the-cats/employee-theo.jpg); */
    border-radius: 1.5rem;
}

.employeeImg img {
    width: 100%;
    border-radius: 1.5rem 0 0 1.5rem;
}

.employeeText {
    flex: 60%;
    padding: 2rem 4rem 2rem 4rem;

    h4 {
        color: #44772B;

    }

    p {
        font-size: 18px;
    }
}

.month {
    background-color: #FFB500;
    color: white;
    width: 120px;
    text-align: center;
    font-weight: 400;
    border-radius: 1rem;

    p {
        padding: 2px 4px 2px 4px;
    }
}

/* Responsive behavior for Employee card */
@media only screen and (max-width: 768px) {
    .employeeCard {
        flex-direction: column;
    }

    .employeeImg img {
        width: 100%;
        border-radius: 1.5rem 1.5rem 0 0;
    }

    .employeeText {
        padding: 2rem 2rem 2rem 2rem;
}
}


/* How Adoption Works section */
#adoption {
    justify-content: center;
    align-content: center;
    margin: 2.5rem 0 3rem 0;
}

.adoptionRow {
    display: flex;
    flex-direction: row;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
    margin-top: 3rem;
    gap: 3rem;
}

.adoptionText {
    h2 {
        margin: 0;
        margin-bottom: 2rem;
    }

    p {
        font-size: 18px;
    }

    .disclaimer {
        color: #999999;
    }
}

.adoptionImg img {
    border-radius: 1.5rem;
    
}

.adoptionButton {
    background-color: #44772b00;
    border-radius: 1.25rem;
    border: 1px;
    border-style: solid;
    border-color: #A1B88F;
    width: 180px;
    height: 3rem;
    align-self: center;
    transition: all 0.3s ease-out;
    margin: 2rem 0 2rem 0;
    }

.adoptionButton a {
    font-size: 16px;
    font-weight: 600;
    color: #A1B88F;
    text-decoration: none;
    }

.adoptionButton a:hover {
    color: #44772B;
    }

/* Responsive behavior for How Adoption Works section */
@media only screen and (max-width: 768px) {
    .adoptionRow {
        flex-direction: column-reverse;
    }

    .adoptionImg img {
        width: 100%;
    }
}

/* Join the Black Cat Coffee Club section */
.membership {
    display: flex;
    flex-direction: column;

    background-image: url(../images/banners/banner-member.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: initial;
}

.membershipMargin {
    height: 3rem;
}

.membershipContainer {
    display: flex;
    background-color: #5b3428e0;
    background-size: cover;
    align-self: center;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
    border-radius: 24px;
    width: 50%;
    padding: 1rem 1rem 1.5rem 1.5rem ;

    h3 {
        color: #FFEBC2;
        text-shadow: 2px 2px 4px #000000e0;
        text-align: center;
        margin-bottom: 1rem;
    }

    p {
        color: white;
        font-weight: 300;
        text-align: center;
    }

.form {
    text-align: center;
}

.form label {
    border-radius: 8px;
    height: 48px;
}

.form button {
    background-color: #44772B;
    border-radius: 8px;
    border: none;
    padding: 4px 16px 4px 16px;
    color: #CFDAC5;
}

.form button:hover {
    background-color: #CFDAC5;
    color: #44772B;
    transition: 0.3s;
    transform: scale(1.0125);
}

}

/* Footer */
.footer {
    background-color: #5B3428;
    background-size: cover;
    background-position: center;
    background-repeat: initial;
    display: flex;
}

.footerContainer {
    display: flex;
    width: 100%;
    flex-direction: column;
    margin-top: 2rem;
    color: white;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

.footerRow {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 1.25rem;
}

.footerLinksContainer {
    margin-bottom: 2rem;

    a {
        color: white;
        text-decoration: none;
        line-height: 25px;
    }

    a:hover {
        color: #A1B88F;
        font-weight: 400;
    }
}

.footerTitle {
    font-size: 18px;
    font-weight: 600;
    padding-top: 0;
    margin-top: 0;
    margin-bottom: 0;
    color: #A1B88F;

    .footerLinks {
        margin-top: 4px;
    }
}

.footerHours {
    ul {
        margin-top: 4px;
        margin-left: 0;
        padding-left: 0;
    }

    li {
        list-style-type: none;
        margin: 0;
    }

    .direction {
        margin-top: 4px;
    }
}

iframe {
    border-radius: 1rem;
    margin-top: 0.5rem;
}

.footerLegals {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    font-size: 14px;
    padding-bottom: 1rem;

    .footerLegal {
        margin-top: 1rem;
        color: #AC928A;
    }

    .footerIcons {
        margin-top: .75rem;
        
        a {
            margin-right: 1rem;
        }
    }
}

hr.footer {
    border: 0.5px solid #856257;
}

/* Responsive behaviour for footer */
@media only screen and (max-width: 768px) {
    .footerRow {
        display: flex;
        flex-direction: column;
    }

    .footerLogo {
        margin-bottom: 2rem;
    }

    .footerLegal {
        width: 55%;
    }

}

.footerIcons {
    display: flex;
    flex-direction: row;

    .fb:hover {
        transition: 0.3s;
        mix-blend-mode: color-dodge;
        transform: scale(1.125);
    }

    .ig:hover {
        transition: 0.3s;
        mix-blend-mode: color-dodge;
        transform: scale(1.125);
    }

    .tiktok:hover {
        transition: 0.3s;
        mix-blend-mode: color-dodge;
        transform: scale(1.125);
    }

    .x:hover {
        transition: 0.3s;
        mix-blend-mode: color-dodge;
        transform: scale(1.125);
    }

}